# -*- coding: utf-8 -*-
import socket

from flaskapp import app
logger = app.logger

def is_valid_ipv4_address(address):
    try:
        socket.inet_pton(socket.AF_INET, address)
    except AttributeError:  # no inet_pton here, sorry
        try:
            socket.inet_aton(address)
        except socket.error:
            return False
        return address.count('.') == 3
    except socket.error:  # not a valid address
        return False

    return True

def is_valid_ipv6_address(address):
    try:
        socket.inet_pton(socket.AF_INET6, address)
    except socket.error:  # not a valid address
        return False
    return True


def inspect_ip(ip):
    if ip and len(ip) > 0 and ip[0] == "[":
        # strip the brackets from ipv6 addresses
        ip = ip[1:-1]

    ip_type = socket.AF_INET
    if is_valid_ipv6_address(ip):
        ip_type = socket.AF_INET6

    return [ip, ip_type]
